BugTraq
buffer overflow in IRCD software Oct 12 2003 03:39PM
Piotr KUCHARSKI (chopin sgh waw pl)

A buffer overflow bug allowing to crash the server has been
discovered. It is exploitable only by local users and affects
all versions of IRCnet IRCD from 2.10 series, up to 2.10.3p3.

New release has been made, irc2.10.3p4, and is available from
ftp://ftp.irc.org/irc/server/irc2.10.3p4.tgz

Alternatively, one may apply the fix only:
http://akson.sgh.waw.pl/~chopin/ircd/patches/m_join.diff

It is advised to upgrade ASAP, as there are already exploits
in the wild.

p.

--
Beware of he who would deny you access to information, for in his
heart he dreams himself your master. -- Commissioner Pravin Lal
http://nerdquiz.sgh.waw.pl/ -- polska wersja quizu dla nerdów ;)

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus